Simulate Fiat Deposit
curl --request POST \
--url https://api.sandbox.bastion.io/v2/simulation/fiat-deposit \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"amount": "<string>",
"memo_id": "<string>",
"currency": "USD",
"payment_rail": "WIRE"
}
'import requests
url = "https://api.sandbox.bastion.io/v2/simulation/fiat-deposit"
payload = {
"amount": "<string>",
"memo_id": "<string>",
"currency": "USD",
"payment_rail": "WIRE"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({amount: '<string>', memo_id: '<string>', currency: 'USD', payment_rail: 'WIRE'})
};
fetch('https://api.sandbox.bastion.io/v2/simulation/fiat-deposit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"mint_id": "<string>"
}Simulation
Simulate Fiat Deposit
Simulate a fiat deposit for testing purposes. Not available in production.
POST
https://api.sandbox.bastion.io
/
v2
/
simulation
/
fiat-deposit
Simulate Fiat Deposit
Authorizations
Bearer authentication with an API token
Body
application/json
The fiat amount to deposit (e.g. "1000.00")
Memo ID associated with the mint instructions
Fiat currency for the deposit
Available options:
ISSUANCE_SUPPORTED_FIAT_CURRENCY_UNSPECIFIED, USD Example:
"USD"
Payment rail for the deposit
Available options:
ISSUANCE_SUPPORTED_FIAT_PAYMENT_METHOD_UNSPECIFIED, WIRE Example:
"WIRE"
Response
Success
Unique identifier for the resulting mint
Related topics
Mint Bastion-issued stablecoins from the DashboardMint Bastion-issued stablecoins with the Issuance APIIssuance API overviewReceive crypto deposits to a Bastion accountSandbox testing and simulation labels⌘I